<script>
    //Creation compte
    $('#afficher_mot_de_passe').on('change', function() {
        if (this.checked) {
            $('#mot_de_passe_user_id').attr('type', 'text')
        } else {
            $('#mot_de_passe_user_id').attr('type', 'password')
        }
    })

    $('#is_admin').change(function() {
        if (this.checked) {
            $(this).val(1)
        } else {
            $(this).val(0)
        }
    });

    $('#role_user_id').change(function() {
        if (this.value == 'administration') {
            $('#div_is_admin').prop('hidden', false);
        } else {
            $('#div_is_admin').prop('hidden', true);
        }
        if (this.value == "surveillant") {
            $('#is_admin').prop('checked', false);
            $('#is_admin').val(0);
        }
    });

    $('#btn_submit_formCreationCompte').on('click', function() {
        $('#form_compte').validate({
            rules: {
                nom_user: {
                    required: true,
                },
                prenom_user: {
                    required: true,
                },
                nom_utilisateur_user: {
                    required: true,
                },
                /* mot_de_passe_user: {
                    required: true,
                    minlength: 8,
                },
                mot_de_passe_confirmation_user: {
                    required: true,
                    equalTo: '#mot_de_passe_user_id',
                }, */
                role_user: {
                    required: true,
                },
            },
            messages: {
                nom_user: {
                    required: "Le nom est obligatoire !",
                },
                prenom_user: {
                    required: "Le prénom est obligatoire !",
                },
                nom_utilisateur_user: {
                    required: "Le ne nom d'utilisateur est obligatoire !",
                },
                /* mot_de_passe_user: {
                    required: "Le mot de passe est obligatoire !",
                    minlength: "Le mot de passe doit faire au moins 8 caractères !",
                },
                mot_de_passe_confirmation_user: {
                    required: "La confirmation du mot de passe est obligatoire !",
                    equalTo: "Les deux mots de passe ne correspondent pas !",
                }, */
                role_user: {
                    required: "Le rôle est obligatoire !",
                },
            },
            submitHandler: function() {
                $.ajaxSetup({
                    headers: {
                        'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                    }
                });

                $.ajax({
                    url: "/creationCompte",
                    type: "POST",
                    dataType: 'json',
                    beforeSend: function() {
                        $('#loader').removeClass('is-hidden')
                        $('*').css('pointer-events', 'none')
                    },
                    complete: function() { // Set our complete callback, adding the .hidden class and hiding the spinner.
                        $('#loader').addClass('is-hidden')
                        $('*').css('pointer-events', 'all')
                    },
                    data: {
                        nom_user: $('#nom_user_id').val(),
                        prenom_user: $('#prenom_user_id').val(),
                        nom_utilisateur_user: $('#nom_utilisateur_user_id').val(),
                        // mot_de_passe_user: $('#mot_de_passe_user_id').val(),
                        is_admin: $('#is_admin').val(),
                        role_user: $('#role_user_id').val(),
                    },
                    success: function(response) {
                        if (response == true) {
                            $('#error_user_name').html(
                                'Ce nom d\'utilisateur est déjà utilisé !');
                        } else {
                            window.location.replace('/accueil/comptes');
                        }
                    },
                    error: function(response) {
                        console.log(response);
                    }
                });
            }
        });
    });

    //Listes des comptes
    //Fonction pour le panel tab
    function openContent(evt, contentId) {

        var i, tabcontent, tablinks;


        tabcontent = document.getElementsByClassName("contenu-block");

        for (i = 0; i < tabcontent.length; i++) {
            tabcontent[i].style.display = "none";
            //console.log(tabcontent[i])
        }


        tablinks = document.getElementsByClassName("tab");
        for (i = 0; i < tablinks.length; i++) {
            tablinks[i].className = tablinks[i].className.replace("is-active", "");
            //console.log(tablinks[i])
        }


        document.getElementById(contentId).style.display = "flex";
        if (evt == null) {
            document.getElementById('default').className += " is-active";
        } else {
            evt.currentTarget.className += " is-active";
        }

    }
    openContent(event, 'tout');
</script>
